// types/pdf-creator-node.d.ts
declare module "pdf-creator-node" {
  interface Document {
    html: string;
    data: any;
    path: string;
    type?: string;
  }

  interface Options {
    format: string;
    orientation: string;
    border: string;
    header?: {
      height: string;
      contents: string;
    };
    footer?: {
      height: string;
      contents: string | { [key: string]: string | number };
    };
  }

  function create(document: Document, options: Options): Promise<any>;

  export { create, Document, Options };
}
